> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email

> Verify a user's email address using a token.

Args:
    request: Verification token.
    verification_service: Verification service dependency.



## OpenAPI

````yaml post /api/v1/auth/verify-email
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/verify-email:
    post:
      tags:
        - auth
      summary: Verify Email
      description: |-
        Verify a user's email address using a token.

        Args:
            request: Verification token.
            verification_service: Verification service dependency.
      operationId: verify_email_api_v1_auth_verify_email_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyEmailRequest'
        required: true
      responses:
        '200':
          description: Email verified successfully
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Verify Email Api V1 Auth Verify Email Post
        '400':
          description: Invalid or expired token
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VerifyEmailRequest:
      properties:
        token:
          type: string
          title: Token
          description: Verification token
      type: object
      required:
        - token
      title: VerifyEmailRequest
      description: Request body for verifying email with token.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````